Package weka.gui.visualize

# Class AttributePanelEvent

java.lang.Object
weka.gui.visualize.AttributePanelEvent

public class AttributePanelEvent extends Object
Class encapsulating a change in the AttributePanel's selected x and y attributes.

Version:
  $Revision: 1.4 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`m_indexVal`
The index for the new attribute
`boolean`
`m_xChange`
True if the x selection changed
`boolean`
`m_yChange`
True if the y selection changed

## Constructor Summary

Constructors
Constructor
Description
`AttributePanelEvent(boolean xChange, boolean yChange, int indexVal)`
Constructor

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### m_xChange

public boolean m_xChange
True if the x selection changed

### m_yChange

public boolean m_yChange
True if the y selection changed

### m_indexVal

public int m_indexVal
The index for the new attribute

## Constructor Details

### AttributePanelEvent

public AttributePanelEvent(boolean xChange, boolean yChange, int indexVal)
Constructor

Parameters:
  `xChange` - true if a change occured to the x selection
  `yChange` - true if a change occured to the y selection
  `indexVal` - the index of the new attribute